### Method

# Gtk Widget show

deprecated: 4.10

#### Declaration [src]

    void
    gtk_widget_show (
      GtkWidget* widget
    )

#### Description [src]

Flags a widget to be displayed.

Any widget that isn’t shown will not appear on the screen.

Remember that you have to show the containers containing a widget, in addition to the widget itself, before it will appear onscreen.

When a toplevel widget is shown, it is immediately realized and mapped; other shown widgets are realized and mapped when their toplevel widget is realized and mapped.

Deprecated since: 4.10

Use `gtk_widget_set_visible()` instead.